2008-10-31  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-set/drtlist.xml:
	* perf-suite-set/rotating-paths.html:
	* perf-suite-set/scaling-path.html: Adding path tests for Larry.

2008-10-30  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-set/ftb-rendering-ref.html:
	* perf-suite-set/ftb-rendering.html: Fixing those two tests.

2008-09-12  Michael Dominic K.  <mdk@mdk.am>

	* README:
	* perf-suite-runner/DrtStore.cs:
	* perf-suite-runner/Options.cs:
	* perf-suite-runner/PerfSuiteRunner.cs: Adding a way (PERF_TEST_ID env var)
	to run a single test without storing the results in the database.

2008-09-04  Michael Dominic K.  <mdk@mdk.am>

	* perf-report/helpers.js:
	* perf-report/jquery.tooltip.js:
	* perf-report/report.css:
	* perf-suite-generator/HtmlGenerator.cs: Show ChangeLog entries as tooltips.

2008-09-03  Michael Dominic K.  <mdk@mdk.am>

	* README:
	* svn-dispatcher: Adding a script to automatically run with SVN 
	metadata.

2008-08-25  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-set/drtlist.xml:
	* perf-suite-set/ftb-rendering-ref.html: Adding a front-to-back rendering
	refference -- doing same as previous but without ftb (objects are not 
	obscured by the black rectangles).

2008-08-25  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-set/drtlist.xml:
	* perf-suite-set/ftb-rendering.html: Adding a front-to-back rendering 
	performance test.

2008-08-25  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-set/drtlist.xml:
	* perf-suite-set/simple-text.html: Adding a simple performance test for text.

2008-08-21  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtItem.cs: Bumping the default timeout up to 35s.

2008-08-21  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-set/drtlist.xml:
	* perf-suite-set/storyboard-attack.html: Adding a test for massive storyboard
	action.

2008-08-22  Raja R Harinath  <harinath@hurrynot.org>
	
	* Makefile.am (perf_suite_lib_sources): Prefix filenames with $(srcdir).
	(perf_suite_runner_sources): Likewise.
	(perf_suite_generator_sources): Likewise.

2008-08-20  Jackson Harper  <jackson@ximian.com>

	* perf-suite-tool/perf-suite-tool.cpp: Fix build on 64.

2008-08-20  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-set/drtlist.xml:
	* perf-suite-set/purple-mystery.html:
	* perf-suite-set/purple.png: Adding the purple thing (bug #412204) to performance
	test.

2008-08-20  Michael Dominic K.  <mdk@mdk.am>

	* README: Adding a README file with some basic info.

2008-08-20  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-tool/perf-suite-tool.cpp: When running a test, before setting it
	up "poke" the timer a little (at time == 0) to make sure we've got the resources 
	loaded etc. That seems to fix some ugly race conditions.

2008-08-20  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-generator/HtmlGenerator.cs: Protect against a situation when 
	trying to generate a report but no data is present.

2008-08-20  Michael Dominic K.  <mdk@mdk.am>

	* Makefile.am: Remove the --database specifier from here too. Fix.

2008-08-20  Michael Dominic K.  <mdk@mdk.am>

	* Makefile.am:
	* perf-suite-generator/Options.cs:
	* perf-suite-runner/Options.cs: Stop polluting the ../../ directory with 
	database results file. Now it's being stored (by default) in ./perf-results.db.
	Can be overriden with:

	$> PERF_DATABASE_FILE="file.db" make run-perf

2008-08-20  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-generator/Options.cs:
	* perf-suite-runner/Options.cs: Get the default parameters from env variables.
	So now it's possible to run something like:

	$> PERF_SHORT_NAME="r1444" PERF_AUTHOR="mdk" make run-perf

2008-08-19  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-tool/perf-suite-tool.cpp: Adding config.h to 
	includes and removing some old crap.

2008-08-18  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-lib/Database.cs: Actually do run the query with the
	limit specified.

2008-08-18  Michael Dominic K.  <mdk@mdk.am>

	* Makefile.am:
	* perf-suite-generator/AssemblyInfo.cs:
	* perf-suite-generator/Options.cs:
	* perf-suite-generator/PerfSuiteGenerator.cs:
	* perf-suite-lib/Database.cs:
	* perf-suite-runner/Options.cs:
	* perf-suite-runner/PerfSuiteRunner.cs: Adding support for user-specified 
	database location file. By Makefile default that is '../../perf-results.db'.

2008-08-18  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-generator/PerfSuiteGenerator.cs: Inform about the report being 
	generated.

2008-08-18  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtItem.cs: Escape the passed parameters to the perf tool.

2008-08-18  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtItem.cs:
	* perf-suite-set/drtlist.xml:
	* perf-suite-tool/perf-suite-tool.cpp: Adding a possibility to specify Width and
	Height for the test window etc.

2008-08-18  Michael Dominic K.  <mdk@mdk.am>

	* Makefile.am:  Do not install the perf-tool (noinst).

2008-08-18  Michael Dominic K.  <mdk@mdk.am>

	* Makefile.am: Adding EXTRA_DIST and CLEANFILES stuff.

2008-08-14  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-tool/perf-suite-tool.cpp: Slightly cleaning up the perf tool.

2008-08-14  Michael Dominic K.  <mdk@mdk.am>

	* perf-report/helpers.js:
	* perf-report/jquery.js:
	* perf-report/logo.png:
	* perf-report/report.css:
	* perf-suite-generator/HtmlGenerator.cs:
	* perf-suite-generator/Main.cs: Generate the report in the perf-report directory.

2008-08-13  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-generator/HtmlGenerator.cs: Pad the results in details section.

2008-08-13  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtItem.cs:
	* perf-suite-set/drtlist.xml: Make it possible to specify the number of runs.

2008-08-13  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-tool/perf-suite-tool.cpp: Timeout setting can be modified via a
	parameter.

	* perf-suite-runner/DrtItem.cs: 'timeout' can be specified in the drt list.

2008-08-13  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-generator/HtmlGenerator.cs:
	* report.css: Better theming for test run failures.

2008-08-13  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-generator/GraphGenerator.cs:
	* perf-suite-generator/HtmlGenerator.cs:
	* perf-suite-lib/ResultDbEntry.cs: Do not treat the failed tests as regressions, 
	instead mark them out in other ways.

2008-08-13  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-tool/perf-suite-tool.cpp: Adding a timeout timer for failing items.

2008-08-13  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtItem.cs:
	* perf-suite-runner/Main.cs: Detect a failure in running test and act accordingly.

2008-08-13  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-lib/Database.cs:
	* perf-suite-runner/Main.cs: Make the whole perf-suite-runner run transactional to the
	Database. 

2008-08-12  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-generator/HtmlGenerator.cs:
	* perf-suite-lib/Database.cs:
	* perf-suite-lib/PassDbEntry.cs:
	* perf-suite-runner/Main.cs:
	* perf-suite-runner/Options.cs: Adding author and changelog to the pass fields + 
	command-line options to specify that. Also changing the pass Description to ShortName.

2008-08-12  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-runner/DrtItem.cs:
	* perf-suite-runner/Main.cs:
	* perf-suite-runner/Options.cs: Use Mono.GetOptions for option parsing. For now.

2008-08-12  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-generator/HtmlGenerator.cs:
	* report.css: Slightly upgrading the CSS theming.

2008-08-12  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtItem.cs:
	* perf-suite-runner/Main.cs: Use temporary directory for XML output of the test tool.

2008-08-12  Michael Dominic K.  <mdk@mdk.am>

	* ChangeLog:
	* Makefile:
	* perf-suite-generator/GraphGenerator.cs:
	* perf-suite-generator/HtmlGenerator.cs:
	* perf-suite-generator/UtilFu.cs:
	* perf-suite-lib/Database.cs:
	* perf-suite-lib/ItemDbEntry.cs:
	* perf-suite-lib/PassDbEntry.cs:
	* perf-suite-lib/ResultDbEntry.cs:
	* perf-suite-runner/Main.cs: Moving some common method to UtilFu. Ooops, forgot 
	to actually add files to last commit.

2008-08-12  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-generator/GraphGenerator.cs:
	* perf-suite-generator/HtmlGenerator.cs:
	* perf-suite-lib/Database.cs:
	* perf-suite-lib/ItemDbEntry.cs:
	* perf-suite-lib/PassDbEntry.cs:
	* perf-suite-lib/ResultDbEntry.cs:
	* perf-suite-lib/ResultWithDateDbEntry.cs:
	* perf-suite-runner/Main.cs: More sane approach to storing the relations between 
	Database items created from the storage.

2008-08-12  Michael Dominic K.  <mdk@mdk.am>

	* ChangeLog:
	* Makefile:
	* helpers.js:
	* jquery.js:
	* logo.png:
	* perf-suite-generator/GraphGenerator.cs:
	* perf-suite-generator/HtmlGenerator.cs:
	* perf-suite-generator/Main.cs:
	* perf-suite-lib/Database.cs:
	* perf-suite-lib/ItemDbEntry.cs:
	* perf-suite-lib/PassDbEntry.cs:
	* perf-suite-lib/ResultWithDateDbEntry.cs:
	* perf-suite-runner/Main.cs:
	* perf-suite-set/drtlist.xml:
	* perf-suite-set/simple-blending.html:
	* perf-suite-tool/perf-suite-tool.cpp:
	* report.css: Lots of changes, lots of new stuff. Too much to even mention.
	Whole thing almost done, needs a lot of refactoring.

2008-08-11  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-generator/GraphGenerator.cs:
	* perf-suite-generator/Main.cs:
	* perf-suite-lib/Database.cs:
	* perf-suite-lib/PassDbEntry.cs: Store pass date properly as string. A helper 
	ResultWithDateDbEntry.cs.

2008-08-11  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-generator/Main.cs:
	* perf-suite-lib/Database.cs:
	* perf-suite-lib/ResultDbEntry.cs: Use actual data to generate some test graphs.

2008-08-08  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-generator/GraphGenerator.cs:
	* perf-suite-generator/Main.cs: Bootstrapping the perf-suite-generator that
	will generate the HTML reports.

2008-08-08  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-lib/Database.cs:
	* perf-suite-lib/ItemDbEntry.cs:
	* perf-suite-runner/DrtItem.cs:
	* perf-suite-runner/Main.cs:
	* perf-suite-set/drtlist.xml: Adding ability to name the DrtItems.

2008-08-08  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtResult.cs:
	* perf-suite-tool/perf-suite-tool.cpp: Results -> DrtResult in the output from
	the perf-suite-tool.

2008-08-08  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-runner/DrtItem.cs:
	* perf-suite-runner/Main.cs:
	* perf-suite-runner/Result.cs: Result => DrtResult.

2008-08-08  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtStore.cs:
	* perf-suite-set/drtlist.xml: Item => DrtItem.

2008-08-08  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtItem.cs:
	* perf-suite-runner/DrtStore.cs:
	* perf-suite-runner/Main.cs:
	* perf-suite-set/drtlist.xml: Changing the 'id' in drt list item to 'uniqueId' 
	not to be confusing with Database id.

2008-08-08  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-lib/Database.cs:
	* perf-suite-lib/ResultDbEntry.cs:
	* perf-suite-runner/Main.cs: Adding the results db entry and storing. This makes the 
	system basically complete, now for some refactoring...

2008-08-08  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-lib/Database.cs:
	* perf-suite-lib/ItemDbEntry.cs:
	* perf-suite-runner/Main.cs: Adding ItemDbEntry that stores information about DrtItems.

2008-08-08  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-lib/Database.cs:
	* perf-suite-lib/DbEntry.cs: Put pass information in the database.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-lib/Database.cs:
	* perf-suite-lib/DbEntry.cs:
	* perf-suite-lib/PassDbEntry.cs:
	* perf-suite-runner/Main.cs: Adding a basic abstract DbEntry class that will be a base
	for all storage classes. Adding PassDbEntry implementation which will be representing a 
	complete run of all the tests at a given time with a given name. 

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-set/drtlist.xml:
	* perf-suite-set/mono.png:
	* perf-suite-set/scaling-image.html: Adding a scaling image set to have two sane ones.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-lib/Database.cs: Adding a base core of perf-suite-lib -- a shared part
	bettwen the perf-suite-runner and perf-suite-generator. Will contain all the database
	access code, etc. 

	* perf-suite-runner/Main.cs:  Make use of the perf-suite-lib.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-runner/DrtItem.cs:
	* perf-suite-runner/Main.cs:
	* perf-suite-runner/Result.cs: Adding Result class that can read self from XML.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-runner/DrtItem.cs:
	* perf-suite-runner/Main.cs: Be more verbose during run.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* Makefile:
	* perf-suite-runner/DrtItem.cs:
	* perf-suite-runner/DrtStore.cs:
	* perf-suite-runner/Main.cs: Adding the core of the perf-suite-runner +
	a Makefile to build the whole thing.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* perf-suite-set/drtlist.xml:
	* perf-suite-set/rotating-balls.html: Adding a basic set of files for performance
	benchmarking.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* benchmark-runner/benchmark-runner.cpp: Adding an option to save results as XML.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* benchmark-runner/benchmark-runner.cpp: Use mseconds instead of seconds float.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* benchmark-runner/benchmark-runner.cpp: Allow to specify a file to use.

2008-08-07  Michael Dominic K.  <mdk@mdk.am>

	* benchmark-runner/benchmark-runner.cpp: Adding some more params, making it
	possible to make many runs.

